org.apache.tools.ant.taskdefs.optional.extension

## Class ExtensionAdapter

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.types.DataType
    - - org.apache.tools.ant.taskdefs.optional.extension.ExtensionAdapter

All Implemented Interfaces:
  java.lang.Cloneable

    public class ExtensionAdapter
    extends DataType

Simple class that represents an Extension and conforms to Ants patterns.

### Field Summary

### Fields inherited from class org.apache.tools.ant.types.DataType

`checked, ref`

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
Constructor and Description
`ExtensionAdapter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setExtensionName(java.lang.String extensionName)` Set the name of extension.
`void` `setImplementationUrl(java.lang.String implementationURL)` Set the implementationURL of extension.
`void` `setImplementationVendor(java.lang.String implementationVendor)` Set the implementationVendor of extension.
`void` `setImplementationVendorId(java.lang.String implementationVendorID)` Set the implementationVendorID of extension.
`void` `setImplementationVersion(java.lang.String implementationVersion)` Set the implementationVersion of extension.
`void` `setRefid(Reference reference)` Makes this instance in effect a reference to another ExtensionAdapter instance.
`void` `setSpecificationVendor(java.lang.String specificationVendor)` Set the specificationVendor of extension.
`void` `setSpecificationVersion(java.lang.String specificationVersion)` Set the specificationVersion of extension.
`java.lang.String` `toString()` a debug toString method.

### Methods inherited from class org.apache.tools.ant.types.DataType

`checkAttributesAllowed, checkChildrenAllowed, circularReference, clone, dieOnCircularReference, dieOnCircularReference, dieOnCircularReference, getCheckedRef, getCheckedRef, getCheckedRef, getCheckedRef, getDataTypeName, getRefid, invokeCircularReferenceCheck, isChecked, isReference, noChildrenAllowed, pushAndInvokeCircularReferenceCheck, setChecked, tooManyAttributes`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ExtensionAdapter

    public ExtensionAdapter()

### Method Detail

#### setExtensionName

    public void setExtensionName(java.lang.String extensionName)

Set the name of extension.

Parameters:
  `extensionName` - the name of extension

#### setSpecificationVersion

    public void setSpecificationVersion(java.lang.String specificationVersion)

Set the specificationVersion of extension.

Parameters:
  `specificationVersion` - the specificationVersion of extension

#### setSpecificationVendor

    public void setSpecificationVendor(java.lang.String specificationVendor)

Set the specificationVendor of extension.

Parameters:
  `specificationVendor` - the specificationVendor of extension

#### setImplementationVendorId

    public void setImplementationVendorId(java.lang.String implementationVendorID)

Set the implementationVendorID of extension.

Parameters:
  `implementationVendorID` - the implementationVendorID of extension

#### setImplementationVendor

    public void setImplementationVendor(java.lang.String implementationVendor)

Set the implementationVendor of extension.

Parameters:
  `implementationVendor` - the implementationVendor of extension

#### setImplementationVersion

    public void setImplementationVersion(java.lang.String implementationVersion)

Set the implementationVersion of extension.

Parameters:
  `implementationVersion` - the implementationVersion of extension

#### setImplementationUrl

    public void setImplementationUrl(java.lang.String implementationURL)

Set the implementationURL of extension.

Parameters:
  `implementationURL` - the implementationURL of extension

#### setRefid

    public void setRefid(Reference reference)
                  throws BuildException

Makes this instance in effect a reference to another ExtensionAdapter instance.

You must not set another attribute or nest elements inside this element if you make it a reference.

Overrides:
  `setRefid` in class `DataType`
Parameters:
  `reference` - the reference to which this instance is associated
Throws:
  `BuildException` - if this instance already has been configured.

#### toString

    public java.lang.String toString()

a debug toString method.

Overrides:
  `toString` in class `DataType`
Returns:
  the extension in a string.
See Also:
  `Object.toString()`